Removing the nvidia driver fails to remove the alternative for the other arch

Bug #915461 reported by Alberto Milone on 2012-01-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-173 (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-173-updates (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-96 (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-96-updates (Ubuntu)
High
Alberto Milone
nvidia-graphics-drivers-updates (Ubuntu)
High
Alberto Milone

Bug Description

Removing the nvidia driver fails to remove the alternative for the other arch because of a typo. As a result, alternatives are broken and don't point to the correct driver.

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-96-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-173 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-96 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-96-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-96 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-96-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.30-0ubuntu9

---------------
nvidia-graphics-drivers-173 (173.14.30-0ubuntu9) precise; urgency=low

  [ Daniel van Vugt ]
  * debian/dkms.conf{.in}:
    - Fix failure to install with kernel 3.2 (LP: #576648).
    - Drop non-functional OBSOLETE_BY variable.

  [ Alberto Milone ]
  * debian/nvidia-$flavour.prerm.in:
    - Use the right path to remove the alternative for the
      other architecture (LP: #915461).
 -- Alberto Milone <email address hidden> Thu, 12 Jan 2012 18:08:01 +0100

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173-updates - 173.14.30-0ubuntu6

---------------
nvidia-graphics-drivers-173-updates (173.14.30-0ubuntu6) precise; urgency=low

  [ Daniel van Vugt ]
  * debian/dkms.conf{.in}:
    - Fix failure to install with kernel 3.2 (LP: #576648).
    - Drop non-functional OBSOLETE_BY variable.

  [ Alberto Milone ]
  * debian/nvidia-$flavour.prerm.in:
    - Use the right path to remove the alternative for the
      other architecture (LP: #915461).
 -- Alberto Milone <email address hidden> Thu, 12 Jan 2012 18:25:41 +0100

Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 290.10-0ubuntu1

---------------
nvidia-graphics-drivers (290.10-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Fixed a bug that would cause OpenGL applications to
      crash when run with recent releases of glibc such as
      glibc 2.14.90.
    - Improved the performance of FBO bind operations when
      using Xinerama by ~30% in some cases.
    - Fixed a bug that could cause stereo corruption when
      driving a stereo display and a non-stereo display
      from the same GPU.
    - Fixed a bug that could cause display devices on a
      secondary GPU to get swapped between X screens when
      restarting the X server.
    - Fixed a bug that could result in line flickering in
      full-scene anti- aliasing contexts.
    - Fixed a bug that caused the physical dimensions of
      rotated monitors to be reported incorrectly.
    - Add support for the pre-VBO DrawArrays command in
      the server-side GLX driver module. The NVIDIA
      client-side GLX implementation never sends this
      command, but the server needs to support it for
      compatibility with other GLX client implementations.
    - Fixed a regression that caused blank/white windows
      when exhausting video memory on GeForce 6 and 7
      series GPUs while using composited desktops.
    - Fixed a bug that caused a crash when glDrawArrays
      was used with a non-VBO vertex attribute array to
      draw on a Xinerama screen other than screen 0 using
      an indirect GLX context.
  * debian/nvidia-$flavour.prerm.in:
    - Use the right path to remove the alternative for the
      other architecture (LP: #915461).
 -- Alberto Milone <email address hidden> Fri, 13 Jan 2012 15:48:27 +0100

Changed in nvidia-graphics-drivers (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 290.10-0ubuntu1

---------------
nvidia-graphics-drivers-updates (290.10-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Fixed a bug that would cause OpenGL applications to
      crash when run with recent releases of glibc such as
      glibc 2.14.90.
    - Improved the performance of FBO bind operations when
      using Xinerama by ~30% in some cases.
    - Fixed a bug that could cause stereo corruption when
      driving a stereo display and a non-stereo display
      from the same GPU.
    - Fixed a bug that could cause display devices on a
      secondary GPU to get swapped between X screens when
      restarting the X server.
    - Fixed a bug that could result in line flickering in
      full-scene anti- aliasing contexts.
    - Fixed a bug that caused the physical dimensions of
      rotated monitors to be reported incorrectly.
    - Add support for the pre-VBO DrawArrays command in
      the server-side GLX driver module. The NVIDIA
      client-side GLX implementation never sends this
      command, but the server needs to support it for
      compatibility with other GLX client implementations.
    - Fixed a regression that caused blank/white windows
      when exhausting video memory on GeForce 6 and 7
      series GPUs while using composited desktops.
    - Fixed a bug that caused a crash when glDrawArrays
      was used with a non-VBO vertex attribute array to
      draw on a Xinerama screen other than screen 0 using
      an indirect GLX context.
  * debian/nvidia-$flavour.prerm.in:
    - Use the right path to remove the alternative for the
      other architecture (LP: #915461).
 -- Alberto Milone <email address hidden> Fri, 13 Jan 2012 17:24:10 +0100

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: In Progress → Fix Released
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: In Progress → Won't Fix
Changed in nvidia-graphics-drivers-96-updates (Ubuntu):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers